#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           libktorrent
Version: 25.03.90
Release:        %mkrel %{rel}
Summary:        BitTorrent program for KDE
Group:          Networking/File transfer
License:        GPLv2+
Url:            https://www.kde.org/applications/internet/ktorrent/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz
# Upstream branch patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core5Compat)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Help)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Widgets)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  cmake(KF6Archive)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Solid)

BuildRequires:  doxygen
BuildRequires:  git-core
BuildRequires:  boost-devel
BuildRequires:  pkgconfig(gmp)
BuildRequires:  pkgconfig(libgcrypt)

%description
KTorrent is a BitTorrent program for KDE. It's main features are:
 o Downloads torrent files
 o Upload speed capping, seeing that most people can't upload
   infinite amounts of data.
 o Internet searching using  The Bittorrent website's search engine
 o UDP Trackers

#-------------------------------------------------------------------------

%package        common
Summary:        Common files of libktorrent
Group:          System/Libraries
BuildArch:      noarch

%description    common
Common files for libktorrent, used by KTorrent, a BitTorrent program for KDE.

%files common -f %{name}.lang


#-------------------------------------------------------------------------

%define ktorrent_major 6
%define libktorrent %mklibname ktorrent6_ %ktorrent_major

%package -n     %libktorrent
Summary:        Ktorrent library
Group:          System/Libraries
Requires:       libktorrent-common >= %{version}

%description -n %libktorrent
KTorrent is a BitTorrent program for KDE. It's main features are:
 o Downloads torrent files
 o Upload speed capping, seeing that most people can't upload
   infinite amounts of data.
 o Internet searching using  The Bittorrent website's search engine
 o UDP Trackers

%files -n %libktorrent
%_kf6_libdir/libKTorrent6.so.%{ktorrent_major}
%_kf6_libdir/libKTorrent6.so.%{version}

#-------------------------------------------------------------------------

%define develname %mklibname ktorrent6 -d

%package -n     %{develname}
Summary:        Ktorrent plugin devel headers
Group:          Development/KDE and Qt
Requires:       %{libktorrent} = %{version}
Provides:       %{name}-devel = %{version}
Provides:       ktorrent-devel = %{version}

%description -n %{develname}
Ktorrent plugin devel headers.

%files -n %{develname}
%{_kf6_includedir}/libktorrent/
%{_kf6_libdir}/cmake/KTorrent6/
%{_kf6_libdir}/libKTorrent6.so

#-------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6 -DLibGMP_INCLUDE_DIRS=%{multiarch_includedir}
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Sat Mar 29 2025 daviddavid <daviddavid> 25.03.90-1.mga10
+ Revision: 2170887
- New version 25.03.90

* Thu Mar 13 2025 daviddavid <daviddavid> 24.12.3-1.mga10
+ Revision: 2163597
- New version 24.12.3

* Tue Feb 11 2025 daviddavid <daviddavid> 24.12.2-1.mga10
+ Revision: 2147263
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 24.12.1-1.mga10
+ Revision: 2136660
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 24.12.0-1.mga10
+ Revision: 2123905
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 24.11.80-1.mga10
+ Revision: 2116457
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 24.08.3-1.mga10
+ Revision: 2114152
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105649
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097516
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087708
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085204
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073325
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2069974
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058719
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045256
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037755
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033877
- New version 24.01.90

* Wed Jan 03 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2026473
- New version 24.01.85

* Wed Nov 22 2023 daviddavid <daviddavid> 24.01.75-2.mga10
+ Revision: 2009170
- backport some upstream branch patches to switch libktorrent to Qt6 and KTorrent6

* Thu Nov 16 2023 daviddavid <daviddavid> 24.01.75-1.mga10
+ Revision: 2007179
- New version 24.01.75
- switch to Qt6/KF6

* Sat Sep 23 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1989698
- New version 23.08.1

* Fri May 26 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958274
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946586
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941879
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1923001
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911495
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905346
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886864
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1880850
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873163
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1854053
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1849559
- New version 22.03.90

* Wed Apr 06 2022 umeabot <umeabot> 21.12.0-2.mga9
+ Revision: 1846045
- Mageia 9 Mass Rebuild

* Sun Dec 26 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1763945
- New version 21.12.0

* Tue Nov 30 2021 neoclust <neoclust> 21.11.90-1.mga9
+ Revision: 1760038
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724156
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718437
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698644
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694167
- New version 20.12.2

* Mon Dec 14 2020 daviddavid <daviddavid> 20.12.0-1.mga8
+ Revision: 1657057
- New version 20.12.0 (says hello libktorrent to release-service stack)

* Sun Jun 07 2020 daviddavid <daviddavid> 2.2.0-1.mga8
+ Revision: 1590833
- new version: 2.2.0

* Sun Feb 16 2020 umeabot <umeabot> 2.1.1-2.mga8
+ Revision: 1530533
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Sep 02 2019 daviddavid <daviddavid> 2.1.1-1.mga8
+ Revision: 1436373
- new version: 2.1.1

* Sun Mar 31 2019 umeabot <umeabot> 2.1-3.mga7
+ Revision: 1383112
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.1-2.mga7
+ Revision: 1298957
- Mageia 7 Mass Rebuild

* Wed Sep 20 2017 daviddavid <daviddavid> 2.1-1.mga7
+ Revision: 1156322
- new version: 2.1

* Tue Apr 19 2016 daviddavid <daviddavid> 2.0.1-1.mga6
+ Revision: 1003630
- new version: 2.0.1
- port to Qt5/kf5
- now libmajor is 6
- update URL and Source URL
- remove old and useless conflicts
- rename the devel subpackage to lib(64)ktorrent-devel

* Mon Feb 15 2016 umeabot <umeabot> 1.3.1-6.mga6
+ Revision: 961070
- Mageia 6 Mass Rebuild

* Fri Sep 11 2015 ovitters <ovitters> 1.3.1-5.mga6
+ Revision: 876855
+ rebuild (emptylog)

* Wed Oct 15 2014 umeabot <umeabot> 1.3.1-5.mga5
+ Revision: 742393
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.1-4.mga5
+ Revision: 681568
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3.1-3.mga4
+ Revision: 529518
- Mageia 4 Mass Rebuild

* Wed Jul 10 2013 fwang <fwang> 1.3.1-2.mga4
+ Revision: 452343
- rebuild for new boost

* Thu Jan 31 2013 neoclust <neoclust> 1.3.1-1.mga3
+ Revision: 393630
- New Bugfix version

* Sat Jan 12 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 357621
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 01 2012 fwang <fwang> 1.3.0-1.mga3
+ Revision: 286997
- update libmajor
- fix tarbll dir
- new version 1.3.0

* Wed Jun 13 2012 fwang <fwang> 1.2.1-1.mga3
+ Revision: 260163
- update tarball
- new version 1.2.1

* Tue Mar 06 2012 fwang <fwang> 1.2.0-1.mga2
+ Revision: 219455
- new version 1.2.0 final

* Wed Jan 11 2012 juancho <juancho> 1.2-0.rc1.1.mga2
+ Revision: 195008
- Added missing libgcrypt-devel BR
- Updated to 4.2rc1
- Did some cleanup (removed buildroot and defattr stuff)

* Wed Nov 23 2011 fwang <fwang> 1.1.3-1.mga2
+ Revision: 171232
- new version 1.1.3
- new version 1.1.2

* Thu Jun 16 2011 fwang <fwang> 1.1.1-1.mga2
+ Revision: 108083
- new version 1.1.1

* Sat Apr 09 2011 dmorgan <dmorgan> 1.1.0-1.mga1
+ Revision: 82544
- Fix libktorrent soname
- New version 1.1.0

* Wed Jan 26 2011 ahmad <ahmad> 1.0.5-2.mga1
+ Revision: 41385
- imported package libktorrent


* Wed Dec 29 2010 Funda Wang <fwang@mandriva.org> 1.0.5-1mdv2011.0
+ Revision: 625975
- new version 1.0.5

* Mon Oct 18 2010 Funda Wang <fwang@mandriva.org> 1.0.4-1mdv2011.0
+ Revision: 586558
- new version 1.0.4

* Mon Aug 30 2010 Funda Wang <fwang@mandriva.org> 1.0.3-1mdv2011.0
+ Revision: 574252
- new version 1.0.3

* Sat Jul 10 2010 Anssi Hannula <anssi@mandriva.org> 1.0.2-2mdv2011.0
+ Revision: 550161
- split localization to libktorrent-common to avoid file conflicts
  (Andrey Borzenkov)

* Sat Jul 10 2010 Funda Wang <fwang@mandriva.org> 1.0.2-1mdv2011.0
+ Revision: 549947
- new libmajor
- new version 1.0.2

* Tue Jun 15 2010 Funda Wang <fwang@mandriva.org> 1.0.1-1mdv2010.1
+ Revision: 548052
- New version 1.0.1

* Tue May 25 2010 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2010.1
+ Revision: 545839
- New version 1.0.0
- drop unneeded BRs

* Tue May 04 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.0-0.rc1.1mdv2010.1
+ Revision: 542004
- import libktorrent


